<template>
  <div class="bounty-air-drop-page">
    <div class="bounty-airdrop-header">
      <h2 class="page-header-text">{{ $t('bounty.header') }}</h2>
    </div>
    <bounty-air-drop-tokens class="bounty-air-drop-tokens"></bounty-air-drop-tokens>
    <air-drop-referral-program class="air-drop-referral-program"></air-drop-referral-program>
    <air-drop-registration-subscription v-if="settings" :settings="settings" class="air-drop-registration-subscription"></air-drop-registration-subscription>
    <air-drop-social-media v-if="settings" :settings="settings" class="air-drop-social-media"></air-drop-social-media>
    <air-drop-social-article  v-if="settings" :settings="settings" class="bounty-program"></air-drop-social-article>
    <air-drop-voucher class="air-drop-voucher"></air-drop-voucher>
    <bug-bounty v-if="settings" :settings="settings" class="air-drop-voucher"></bug-bounty>
  </div>
</template>

<script>
import _ from 'lodash';

import rf from '../../../common/requests/RequestFactory';
import BountyAirDropTokens from './BountyAirDropTokens.vue';
import AirDropReferralProgram from './airdrop_referral/AirDropReferralProgram.vue';
import AirDropRegistrationSubscription from './AirDropRegistrationSubscription.vue';
import AirDropSocialMedia from './AirDropSocialMedia.vue';
import AirDropVoucher from './AirDropVoucher.vue';
import AirDropSocialArticle from './AirDropSocialArticle.vue';
import BugBounty from './BugBounty.vue';

export default {
  components: {
    BountyAirDropTokens,
    AirDropReferralProgram,
    AirDropRegistrationSubscription,
    AirDropSocialMedia,
    AirDropVoucher,
    AirDropSocialArticle,
    BugBounty,
  },
  data () {
    return {
      settings: null,
    };
  },
  methods: {
    async getSettings () {
      const settings = await rf.getRequest('BountySettingRequest').getAll();
      this.settings = Object.assign({}, _.keyBy(settings.data, 'key'));
    },
  },
  created () {
    this.getSettings();
  },
};
</script>

<style lang="scss" scoped>
  @import '../../../../sass/variables';
  .bounty-air-drop-page {
    max-width: 1128px;
    margin: 0 auto;
    padding: 50px 0 63px;
  }

  .bounty-airdrop-header {
    .page-header-text {
      font-size: $big;
      font-weight: bold;
      color: $black;
      padding-bottom: 15px;
    }
  }
  .bounty-air-drop-tokens {
    padding-top: 10px;
    margin-bottom: 48px;
  }
  .air-drop-referral-program {
    margin-bottom: 14px;

  }
  .air-drop-registration-subscription {

  }
  .air-drop-social-media {

  }
  .bounty-program {

  }
  .bounty-bitcoin-talk {

  }
  .bounty-community {

  }

  @media screen and (max-width: 1100px) {
    .bounty-air-drop-page {
      padding: 50px 20px;
    }
  }
</style>

<style lang="scss">
  @import '../../../../sass/variables';
  .title-component {
    font-size: $font20;
    color: $orange;
    margin-bottom: 20px;
    font-weight: 400;
  }

  .ctu-total {
    padding: 30px 0px;
    .title,
    .number {
      display: inline-block;
      vertical-align: middle;
      color: #222c3c;
      font-size: 0.875rem;
      line-height: 1.125;
      margin-right: 15px;
      margin-bottom: 0;
    }

    .title {
      font-size: 18px;
      font-weight: bold;
      color: $black;
      margin-right: 25px;
      width: auto !important;
    }

    .number {
      font-size: $medium;
      padding: 10px 22px;
      background-color: $bg_white;
      border-radius: 30px;
      border: solid 1px $orange;
      color: $orange;
      width: 300px;
    }
  }

  .article__btnAdd {
    display: inline-block;
    position: relative;
    vertical-align: middle;
    cursor: pointer;
    margin-left: 18px;
    width: 34px;
    height: 34px;
    background-color: #fff;
    border: 1px solid $orange;
    border-radius: 50%;
    transition: all 0.3s ease-in-out;

    &:before,
    &:after {
      content: '';
      display: block;
      height: 2px;
      width: 17px;
      background-color: $orange;
      position: absolute;
      left: 50%;
      top: 50%;
      transform: translate(-50% , -50%) rotateZ(90deg);
    }

    &:after {
      transform: translate(-50% , -50%) rotateZ(0);
    }

    &:hover {
      background-color: $orange;
      &:before,
      &:after {
        background-color: #fff;
      }
    }
  }
</style>
